//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#include "StdHeaders.h"

#include "LineStylePopupCtrl.h"

#include "Dialog.h"

using namespace VectorWorks::VWUI;

VWLineStylePopupCtrl::VWLineStylePopupCtrl(TControlID id)
: VWControl( id )
{
}

VWLineStylePopupCtrl::~VWLineStylePopupCtrl()
{
}

bool VWLineStylePopupCtrl::CreateControl(VWDialog* pDlg)
{
	::GS_CreateLineStylePopup( gCBP, pDlg->GetControlID(), fControlID );
	return VWControl::CreateControl( pDlg );
}

short VWLineStylePopupCtrl::GetSelectedLineStyle() const
{
	short	lineStyle;
	::GS_GetLineStyleChoice( gCBP, fpParentDlg->GetControlID(), fControlID, lineStyle );
	return lineStyle;
}

void VWLineStylePopupCtrl::SetSelectedLineStyle(short lineStyle)
{
	::GS_SetLineStyleChoice( gCBP, fpParentDlg->GetControlID(), fControlID, lineStyle );
}
